﻿@model WebAppLibrary.Models.DAO.Book

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Book</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Id" class="control-label"></label>
                <input readonly asp-for="Id" class="form-control" />
                <span asp-validation-for="Id" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PublicationYear" class="control-label"></label>
                <input asp-for="PublicationYear" class="form-control" />
                <span asp-validation-for="PublicationYear" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Author" class="form-label"></label>
                <select asp-for="Author.Id" asp-items="ViewBag.AuthorsList" class="form-select"></select>
                <span asp-validation-for="Author.Id" class="text-danger"></span>
            </div>
            <div class="form-validation">
                <label asp-for="Genre" class="form-label"></label>
                <select asp-for="Genre.Id" asp-items="ViewBag.GenresList" class="form-select"></select>
                <span asp-validation-for="Genre.Id" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
